Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.gui
Class ColorChooser

    java.lang.Object
      ij.gui.ColorChooser

All Implemented Interfaces:
  java.awt.event.AdjustmentListener, java.util.EventListener, java.awt.event.TextListener

public class ColorChooser
extends java.lang.Object
implements java.awt.event.TextListener, java.awt.event.AdjustmentListener

Displays a dialog that allows the user to select a color using three sliders.

Constructor Summary
`ColorChooser(java.lang.String title, java.awt.Color initialColor, boolean useHSB)` Constructs a ColorChooser using the specified title and initial color.

Method Summary
`void` | `adjustmentValueChanged(java.awt.event.AdjustmentEvent e)`
`java.awt.Color` | `getColor()` Displays a color selection dialog and returns the color selected by the user.
`void` | `textValueChanged(java.awt.event.TextEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorChooser

    public ColorChooser(java.lang.String title,
                        java.awt.Color initialColor,
                        boolean useHSB)

  Constructs a ColorChooser using the specified title and initial color.

Method Detail

### getColor

    public java.awt.Color getColor()

  Displays a color selection dialog and returns the color selected by the user.

### textValueChanged

    public void textValueChanged(java.awt.event.TextEvent e)

  Specified by:
    `textValueChanged` in interface `java.awt.event.TextListener`

### adjustmentValueChanged

    public void adjustmentValueChanged(java.awt.event.AdjustmentEvent e)

  Specified by:
    `adjustmentValueChanged` in interface `java.awt.event.AdjustmentListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD